<div class="signup d-flex justify-content-center align-items-center">
  <div class="card">
    <form
      class="card-body"
      [formGroup]="signupForm"
      (ngSubmit)="onSignup()"
    >
      <h1 class="title text-center">Registro</h1>

      <div class="form-group">
        <label for="email">Correo electrónico</label>

        <input
          type="email"
          class="form-control"
          [class.is-invalid]="isInvalid('email')"
          id="email"
          aria-describedby="userEmail"
          placeholder="visomi.dev@gmail.com"
          formControlName="email"
          required
        >

        <small
          *ngIf="isInvalid('email')"
          id="emailHelp"
          class="form-text text-danger"
        >
          El email debe cumplir el siguiente patrón: <br>
          email@dominio.com
        </small>
      </div>

      <div class="form-group">
        <label for="phoneNumber">Teléfono</label>

        <input
          class="form-control"
          [class.is-invalid]="isInvalid('phoneNumber')"
          id="phoneNumber"
          aria-describedby="userPhoneNumber"
          placeholder="+(52)5587606759"
          formControlName="phoneNumber"
          required
        >

        <small
          *ngIf="isInvalid('phoneNumber')"
          id="phoneNumberHelp"
          class="form-text text-danger"
        >
          El teléfono debe cumplir el siguiente patrón: <br>
          +(52)5587606759
        </small>
      </div>

      <div class="form-group">
        <label for="firstName">Nombre</label>

        <input
          class="form-control"
          [class.is-invalid]="isInvalid('firstName')"
          id="firstName"
          aria-describedby="userFirstName"
          placeholder="Fulanito"
          formControlName="firstName"
          required
        >

        <small
          *ngIf="isInvalid('firstName')"
          id="firstNameHelp"
          class="form-text text-danger"
        >
          Este campo es requerido y no debe contener espacios
        </small>
      </div>

      <div class="form-group">
        <label for="lastName">Apellido</label>

        <input
          class="form-control"
          [class.is-invalid]="isInvalid('lastName')"
          id="lastName"
          aria-describedby="userLastName"
          placeholder="De Tal"
          formControlName="lastName"
          required
        >

        <small
          *ngIf="isInvalid('lastName')"
          id="lastNameHelp"
          class="form-text text-danger"
        >
          Este campo es requerido y no debe contener espacios
        </small>
      </div>

      <div class="form-group">
        <label for="identificationNumber">Número de identificación</label>

        <input
          class="form-control"
          [class.is-invalid]="isInvalid('identificationNumber')"
          id="identificationNumber"
          aria-describedby="userIdentificationNumber"
          placeholder="12345"
          formControlName="identificationNumber"
          required
        >

        <small
          *ngIf="isInvalid('identificationNumber')"
          id="identificationNumberHelp"
          class="form-text text-danger"
        >
          Este campo es requerido y solo debe contener números
        </small>
      </div>

      <div class="form-group">
        <label for="password">Contraseña</label>

        <input
          type="password"
          class="form-control"
          [class.is-invalid]="isInvalid('password')"
          id="password"
          placeholder="*******"
          formControlName="password"
          required
        >

        <small
          *ngIf="isInvalid('password')"
          id="passwordHelp"
          class="form-text text-danger"
        >
          La contraseña debe tener: <br>
          8 Dígitos, por lo menos una mayuscula y una minuscula.
        </small>
      </div>

      <div class="form-group">
        <label for="password">Verificar contraseña</label>

        <input
          type="password"
          class="form-control"
          [class.is-invalid]="isInvalid('passwordConfirmation')"
          id="passwordConfirmation"
          placeholder="*******"
          formControlName="passwordConfirmation"
          required
        >

        <small
          *ngIf="isInvalidPassword"
          id="passwordConfirmationHelp"
          class="form-text text-danger"
        >
          Las contraseñas no coinciden
        </small>
      </div>

      <div class="form-group d-flex justify-content-center align-items-center">
        <button
          type="submit"
          class="btn btn-primary"
          [disabled]="!signupForm.valid || loading"
        >
          Registrarse
        </button>
      </div>
    </form>

    <div class="login-link text-center">
      <a [routerLink]="['/login']">
        ¿Ya tienes una cuenta?
      </a>
    </div>
  </div>
</div>
